GLM_GTC_noise
GTC Extensions (Stable)

Defines 2D, 3D and 4D procedural noise functions Based on the work of Stefan Gustavson and Ashima Arts on "webgl-noise": https://github.com/ashima/webgl-noise Following Stefan Gustavson's paper "Simplex noise demystified": http://www.itn.liu.se/~stegu/simplexnoise/simplexnoise.pdf <glm/gtc/noise.hpp> need to be included to use these functionalities. More...

## Functions

template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | perlin (vecType< T, P > const &p)
| Classic perlin noise. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | perlin (vecType< T, P > const &p, vecType< T, P > const &rep)
| Periodic perlin noise. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | simplex (vecType< T, P > const &p)
| Simplex noise. More...

## Detailed Description

Defines 2D, 3D and 4D procedural noise functions Based on the work of Stefan Gustavson and Ashima Arts on "webgl-noise": https://github.com/ashima/webgl-noise Following Stefan Gustavson's paper "Simplex noise demystified": http://www.itn.liu.se/~stegu/simplexnoise/simplexnoise.pdf <glm/gtc/noise.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL T glm::perlin | ( | vecType< T, P > const & | p | ) |

Classic perlin noise.

See also
  GLM_GTC_noise

GLM_FUNC_DECL T glm::perlin | ( | vecType< T, P > const & | p,
|  | vecType< T, P > const & | rep
| ) |  |

Periodic perlin noise.

See also
  GLM_GTC_noise

GLM_FUNC_DECL T glm::simplex | ( | vecType< T, P > const & | p | ) |

Simplex noise.

See also
  GLM_GTC_noise